(function() {
    // track state of both questions: true/false
    var important = null,  
        urgent = null; 

  
  function decision() {
        // deal with only uncompleted questions (one value)
        if (important && urgent === null || important === null && !urgent) {
            highlight('#eh-2', 0.4);
        } else if (!important && urgent === null || important === null && urgent) {
            highlight('#eh-3', 0.4);
        } // both questions have values
          else if (important && urgent) {
            // Urgent and important (tasks you will do immediately)
            highlight('#eh-1', 1);
        } else if (!important && urgent) {
            // Urgent, but not important (tasks you will delegate to someone else)
            highlight('#eh-3', 1);
        } else if (important && !urgent) {
            // Important, but not urgent (tasks you will schedule to do later)
            highlight('#eh-2', 1);
        } else if (!important && !urgent) {
            // Neither urgent nor important (tasks that you will eliminate)
            highlight('#eh-4', 1);
        }
    }

    function highlight(id, alpha) {
        d3.selectAll('.eh-item').style('opacity', 0.1);
        d3.select(id).transition().style('opacity', alpha);
    }
  
  
  
    // render no/yes buttons
    var q1 = noYesBtns('#q1')
        .nBg('#FDBB30')
        .yBg('#FDBB30')
        .on('click', function () {

            if (this.firstChild.data == 'yes') {
                important = true; 
            } else {
                important = false; 
            } 
            // apply decision
            decision();
        })
        .render();

    var q2 = noYesBtns('#q2')
        .nBg('#FDBB30')
        .yBg('#FDBB30')
        .on('click', function () {

            if (this.firstChild.data === 'yes') {
                urgent = true; 
            } else {
                urgent = false; 
            } 

            decision();
        })
        .render();

    

}());

// just for blocks viewer size
d3.select(self.frameElement).style('height', '700px');